searchNodes=[{"doc":"The JSON scalar type allows arbitrary JSON values to be passed in and out. Requires { :jason, &quot;&gt;= 1.1&quot; } package: https://github.com/michalmuskala/jason Based in the recipes on Absinthe's wiki Note that even if you use non_null(:json) a string of null value ( &quot;null&quot; ) is still accepted. Usage: Import the type in your schema import_types(AbsintheUtils.Scalars.JSON) and you will be able to use the :json type.","ref":"AbsintheUtils.Scalars.JSON.html","title":"AbsintheUtils.Scalars.JSON","type":"module"},{"doc":"The UUID scalar type allows UUID compliant strings to be passed in and out. Requires { :ecto, &quot;&gt;= 0.0.0&quot; } package: https://github.com/elixir-ecto/ecto Based in the recipes on Absinthe's wiki Usage: Import the type in your schema import_types(AbsintheUtils.Scalars.JSON) and you will be able to use the :json type.","ref":"AbsintheUtils.Scalars.UUID.html","title":"AbsintheUtils.Scalars.UUID","type":"module"},{"doc":"Absinthe middleware for loading entities in field arguments. This middleware should be defined before resolve . It will manipulate the arguments before they are passed to the resolver function. As configuration it accepts a map of original argument names to a keyword list, containing: load_function : the function used to load the argument into an entity. As an input accepts one single argument: the input received in the resolution. The function should return the entity, or nil when not found. new_name : the new name to push the loaded entity into. (optional, defaults to the original argument name). Examples query do field :user , :user do arg ( :id , :id ) # Add the middleware before your resolver middleware ( ArgLoader , %{ id : [ new_name : :user , load_function : &amp; get_user_by_id / 1 ] } ) resolve ( fn _ , arguments , _ -&gt; { :ok , Map . get ( arguments , :user ) } end ) end This will define a user query that accepts an id input. Before calling the resolver, it will load the user via get_user_by_id(id) into the user argument, removing id . ArgLoader can also be used to load a list_of arguments: query do field :users , non_null ( list_of ( :user ) ) do arg ( :ids , non_null ( list_of ( :id ) ) ) middleware ( ArgLoader , %{ ids : [ new_name : :users , load_function : fn ids -&gt; ids |&gt; get_users_by_id ( ) |&gt; AbsintheUtils.Helpers.Sorting . sort_alike ( ids , &amp; &amp;1 . id ) end ] } ) resolve ( fn _ , params , _ -&gt; { :ok , Map . get ( params , :users ) } end ) end end Note the use of AbsintheUtils.Helpers.Sorting.sort_alike/2 to ensure the returned list of entities from the repository is sorted according to the user's input.","ref":"AbsintheUtils.Middleware.ArgLoader.html","title":"AbsintheUtils.Middleware.ArgLoader","type":"module"},{"doc":"","ref":"AbsintheUtils.Middleware.ArgLoader.html#load_entities/3","title":"AbsintheUtils.Middleware.ArgLoader.load_entities/3","type":"function"},{"doc":"Absinthe middleware for handling deprecated or renamed field arguments ( arg ). It automatically handles mutual exclusivity and changing the argument keys (names) before passing it to the resolver. For this to work, this middleware must be added before the resolver. Middleware options: legacy_arg_identifier : The identifier of the field that has been deprecated. If this argument is provided, this middleware will rename it to the new_arg_identifier . new_arg_identifier : The identifier of the new field, if passed, nothing changes. is_required : if at least one of the arguments must be provided. If the validation fails, an Absinthe compliant error will be returned and the operation marked as resolved (it will not reach the resolver). All options are required. Example usage field :query_with_deprecated_required_args , non_null ( :string ) do arg ( :old_arg , :string , deprecate : &quot;Use `newParam` instead.&quot; ) arg ( :new_arg , :string ) # Add the middleware before your resolver middleware ( DeprecatedArgs , %{ legacy_arg_identifier : :old_arg , new_arg_identifier : :new_arg , is_required : true } ) resolve ( &amp; MyApp . my_resolver / 3 ) end","ref":"AbsintheUtils.Middleware.DeprecatedArgs.html","title":"AbsintheUtils.Middleware.DeprecatedArgs","type":"module"},{"doc":"Helpers for Absinthe errors.","ref":"AbsintheUtils.Helpers.Errors.html","title":"AbsintheUtils.Helpers.Errors","type":"module"},{"doc":"Given an absinthe resolution puts an error and marks the resolution as resolved.","ref":"AbsintheUtils.Helpers.Errors.html#put_error/3","title":"AbsintheUtils.Helpers.Errors.put_error/3","type":"function"},{"doc":"Generic sorting utils.","ref":"AbsintheUtils.Helpers.Sorting.html","title":"AbsintheUtils.Helpers.Sorting","type":"module"},{"doc":"Sorts an unsorted_enumerable based on sorted_enumerable . Use mappers to specify getters for each element in the enumerable, for example retrieving the id of a struct. Examples iex&gt; Sorting . sort_alike ( [ :b , :c , :a ] , [ :a , :b , :c ] ) [ :a , :b , :c ] iex&gt; Sorting . sort_alike ( [ %{ id : 1 } , %{ id : 2 } ] , [ 2 , 1 ] , &amp; &amp;1 . id ) [ %{ id : 2 } , %{ id : 1 } ]","ref":"AbsintheUtils.Helpers.Sorting.html#sort_alike/4","title":"AbsintheUtils.Helpers.Sorting.sort_alike/4","type":"function"},{"doc":"Collection of utilities for absinthe . ] hexpm [","ref":"readme.html","title":"Absinthe Utils","type":"extras"},{"doc":"Available in Hex , the package can be installed by adding absinthe_utils to your list of dependencies in mix.exs : def deps do [ # Check the releases page for the desired version (and use sigils accordingly, ex: &quot;~&gt;&quot;). { :absinthe_utils , &quot;&gt;= 0.0.0&quot; } ] end Documentation can be found in HexDocs . Main features AbsintheUtils.Middleware.ArgLoader : Middleware for loading entities in field arguments. AbsintheUtils.Middleware.DeprecatedArgs : Middleware for handling deprecated or renamed field arguments ( arg ). AbsintheUtils.Scalars.JSON : JSON scalar. AbsintheUtils.Scalars.UUID : UUID scalar.","ref":"readme.html#installation","title":"Absinthe Utils - Installation","type":"extras"}]